import { FocusableOption, FocusOrigin } from '@angular/cdk/a11y';
import { DropdownService } from '../dropdown.service';
import { DropdownComponent } from '../dropdown/dropdown.component';
import * as i0 from "@angular/core";
export declare class DropdownItemDirective implements FocusableOption {
    #private;
    private dropdownService;
    dropdown?: DropdownComponent | undefined;
    /**
     * Set active state to a dropdown-item.
     * @type boolean
     * @default undefined
     */
    active?: boolean;
    /**
     * Configure dropdown-item close dropdown behavior.
     * @type boolean
     * @default true
     */
    autoClose: boolean;
    /**
     * Disables a dropdown-item.
     * @type boolean
     * @default undefined
     */
    disabled?: boolean;
    constructor(dropdownService: DropdownService, dropdown?: DropdownComponent | undefined);
    focus(origin?: FocusOrigin | undefined): void;
    getLabel?(): string;
    get ariaCurrent(): string | null;
    get hostClasses(): any;
    set tabIndex(value: string | number | null);
    get tabIndex(): string | number | null;
    private _tabIndex;
    get isDisabled(): boolean | null;
    private onClick;
    private onKeyUp;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownItemDirective, [null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownItemDirective, "[cDropdownItem]", ["cDropdownItem"], { "active": { "alias": "active"; "required": false; }; "autoClose": { "alias": "autoClose"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; }, {}, never, never, true, never>;
}
