import { AfterContentInit, ElementRef, OnInit, QueryList } from '@angular/core';
import { DropdownItemDirective } from '../dropdown-item/dropdown-item.directive';
import * as i0 from "@angular/core";
import * as i1 from "../../shared/theme.directive";
export declare class DropdownMenuDirective implements OnInit, AfterContentInit {
    #private;
    readonly elementRef: ElementRef;
    /**
     * Set alignment of dropdown menu.
     * @type {'start' | 'end' }
     */
    alignment?: 'start' | 'end' | string;
    /**
     * Toggle the visibility of dropdown menu component.
     * @type boolean
     */
    visible: boolean;
    get hostClasses(): any;
    get hostStyles(): {
        visibility: string | null;
        display: string | null;
    };
    onKeyDown($event: KeyboardEvent): void;
    onKeyUp($event: KeyboardEvent): void;
    dropdownItemsContent: QueryList<DropdownItemDirective>;
    ngAfterContentInit(): void;
    ngOnInit(): void;
    private focusKeyManagerInit;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownMenuDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownMenuDirective, "[cDropdownMenu]", ["cDropdownMenu"], { "alignment": { "alias": "alignment"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, ["dropdownItemsContent"], never, true, [{ directive: typeof i1.ThemeDirective; inputs: { "dark": "dark"; }; outputs: {}; }]>;
}
