import { InputSignal, InputSignalWithTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ImgDirective {
    /**
     * Set the horizontal aligment.
     * @type {'' | 'start' | 'end' | 'center'}
     */
    readonly align: InputSignal<'' | 'start' | 'end' | 'center'>;
    /**
     * Make image responsive.
     * @type boolean
     */
    readonly fluid: InputSignalWithTransform<boolean, unknown>;
    /**
     * Make image rounded.
     * @type boolean
     */
    readonly rounded: InputSignalWithTransform<boolean, unknown>;
    /**
     * Give an image a rounded 1px border appearance.
     * @type boolean
     */
    readonly thumbnail: InputSignalWithTransform<boolean, unknown>;
    /**
     * Color for image placeholder.
     */
    readonly placeholderColor: InputSignal<string>;
    readonly hostStyles: import("@angular/core").Signal<{
        backgroundColor: string;
    }>;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImgDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ImgDirective, "[cImg]", never, { "align": { "alias": "align"; "required": false; "isSignal": true; }; "fluid": { "alias": "fluid"; "required": false; "isSignal": true; }; "rounded": { "alias": "rounded"; "required": false; "isSignal": true; }; "thumbnail": { "alias": "thumbnail"; "required": false; "isSignal": true; }; "placeholderColor": { "alias": "placeholderColor"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
