import * as i0 from "@angular/core";
export declare class SpinnerComponent {
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     * @type Colors
     */
    readonly color: import("@angular/core").InputSignal<string | undefined>;
    /**
     * Label for accessibility.
     * @type string
     * @default 'Loading...'
     */
    readonly label: import("@angular/core").InputSignal<string>;
    /**
     * Size the component small.
     * @type string
     * @values 'sm'
     */
    readonly size: import("@angular/core").InputSignal<"sm" | undefined>;
    /**
     * Set the button variant to an outlined button or a ghost button.
     * @values 'border' | 'grow'
     * @default 'border'
     */
    readonly variant: import("@angular/core").InputSignal<"border" | "grow">;
    /**
     * Default role attr for Spinner. [docs]
     * @type string
     * @default 'status'
     */
    readonly role: import("@angular/core").InputSignal<string>;
    readonly hostClasses: import("@angular/core").Signal<{
        [x: string]: boolean;
    }>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerComponent, "c-spinner", never, { "color": { "alias": "color"; "required": false; "isSignal": true; }; "label": { "alias": "label"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "variant": { "alias": "variant"; "required": false; "isSignal": true; }; "role": { "alias": "role"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
