import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { ToasterService } from '../toaster/toaster.service';
import * as i0 from "@angular/core";
type AnimateType = 'hide' | 'show';
export declare class ToastComponent implements OnInit, OnDestroy {
    hostElement: ElementRef;
    renderer: Renderer2;
    toasterService: ToasterService;
    changeDetectorRef: ChangeDetectorRef;
    constructor(hostElement: ElementRef, renderer: Renderer2, toasterService: ToasterService, changeDetectorRef: ChangeDetectorRef);
    readonly dynamic: import("@angular/core").InputSignal<boolean | undefined>;
    readonly placement: import("@angular/core").InputSignal<string | undefined>;
    /**
     * Auto hide the toast.
     * @type boolean
     */
    readonly autohide: import("@angular/core").InputSignal<boolean>;
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     * @type Colors
     */
    readonly color: import("@angular/core").InputSignal<string>;
    /**
     * Delay hiding the toast (ms).
     * @type number
     */
    readonly delay: import("@angular/core").InputSignalWithTransform<number, unknown>;
    /**
     * Apply fade transition to the toast.
     * @type boolean
     */
    readonly fade: import("@angular/core").InputSignal<boolean>;
    /**
     * Toggle the visibility of component.
     * @type boolean
     */
    set visible(value: boolean);
    get visible(): boolean;
    private _visible;
    /**
     * @ignore
     */
    readonly index: import("@angular/core").InputSignalWithTransform<number, unknown>;
    /**
     * Event emitted on visibility change. [docs]
     * @type <boolean>
     */
    readonly visibleChange: import("@angular/core").OutputEmitterRef<boolean>;
    /**
     * Event emitted on timer tick. [docs]
     * @type number
     */
    readonly timer: import("@angular/core").OutputEmitterRef<number>;
    private timerId;
    private clockId;
    private clockTimerId;
    private _clock;
    get clock(): number;
    set clock(value: number);
    get animationDisabled(): boolean;
    get animateType(): AnimateType;
    onMouseOver(): void;
    onMouseOut(): void;
    get hostClasses(): any;
    ngOnInit(): void;
    ngOnDestroy(): void;
    setTimer(): void;
    clearTimer(): void;
    onClose(): void;
    setClock(): void;
    clearClock(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToastComponent, "c-toast", ["cToast"], { "dynamic": { "alias": "dynamic"; "required": false; "isSignal": true; }; "placement": { "alias": "placement"; "required": false; "isSignal": true; }; "autohide": { "alias": "autohide"; "required": false; "isSignal": true; }; "color": { "alias": "color"; "required": false; "isSignal": true; }; "delay": { "alias": "delay"; "required": false; "isSignal": true; }; "fade": { "alias": "fade"; "required": false; "isSignal": true; }; "visible": { "alias": "visible"; "required": false; }; "index": { "alias": "index"; "required": false; "isSignal": true; }; }, { "visibleChange": "visibleChange"; "timer": "timer"; }, never, ["*"], true, never>;
    static ngAcceptInputType_visible: unknown;
}
export {};
