import { InputSignal, InputSignalWithTransform } from '@angular/core';
import { CardComponent } from '../../card';
import * as i0 from "@angular/core";
export declare class WidgetStatBComponent extends CardComponent {
    constructor();
    /**
     * Sets the color context of the component to one of CoreUI themed colors.
     * @type Colors
     */
    /**
     * Sets the text-color context of the component to one of CoreUI themed colors.
     * via TextColorDirective
     * @type TextColors
     */
    /**
     * Title of the widget to display
     * @type string
     */
    readonly title: InputSignal<string | undefined>;
    /**
     * Helper text for your widget.
     * @type string
     */
    readonly text: InputSignal<string | undefined>;
    /**
     * Value for your widget to display
     * @type string
     */
    readonly value: InputSignal<string | undefined>;
    /**
     * Invert colors from their default dark shade.
     * @type boolean
     */
    readonly inverse: InputSignalWithTransform<boolean, unknown>;
    readonly hostClasses: import("@angular/core").Signal<Record<string, boolean>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WidgetStatBComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WidgetStatBComponent, "c-widget-stat-b", ["cWidgetStatB"], { "title": { "alias": "title"; "required": false; "isSignal": true; }; "text": { "alias": "text"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "inverse": { "alias": "inverse"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
